@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500&display=swap');

/* Reset */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

::selection {
    color: #fff;
    background-color: #004450;
}

*[disabled]{
    color: #9e9e9e  !important;
    background-color: #e0e0e0 !important;
    user-select: none !important;
}

/* width */
::-webkit-scrollbar {
    width: 16px;
}

/* Track */
/* ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 3px #bdbdbd; 
    border-radius: 4px;
} */

/* Handle */
::-webkit-scrollbar-thumb {
    background-color: #e0e0e0;
    border-radius: 8px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background-color: #bdbdbd;
}

/* Make sure placeholders displayed in the correct direction when element's dir attribute set to auto */
:placeholder-shown {
    direction: inherit;
}

input[type="time"]::-webkit-inner-spin-button,
input[type="time"]::-webkit-calendar-picker-indicator,
input[type="date"]::-webkit-inner-spin-button,
input[type="date"]::-webkit-calendar-picker-indicator {
    -webkit-appearance: none;
    opacity: 0;
    margin: 0;
    padding: 0;
}
 
input[type="time"]:hover::-webkit-inner-spin-button,
input[type="time"]:hover::-webkit-calendar-picker-indicator,
input[type="date"]:hover::-webkit-inner-spin-button,
input[type="date"]:hover::-webkit-calendar-picker-indicator {
    -webkit-appearance: initial;
    opacity: 1;
}

/* Remove Arrows/Spinners */
/* Chrome, Safari, Edge, Opera */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

select,
textarea,
input[type="file"],
input[type="text"],
input[type="search"],
input[type="number"],
input[type="date"],
input[type="datetime-local"],
input[type="month"],
input[type="time"],
input[type="tel"],
input[type="url"],
input[type="password"],
input[type="email"] {
    padding: 0px 5px;
    border: solid 1px #b0bec5;
    border-radius: 4px;
    outline-color: #90a4ae;
    width: 100%;
    min-height: 2rem;
    font: inherit;
    line-height: 1;
}

[dir = 'rtl'] input[type = 'email'],
[dir = 'rtl'] input[type = 'tel'] {
    direction: ltr;
}

textarea {
    resize: vertical;
    font: inherit;
    line-height: 1.5;
}

button {
    font: inherit;
    line-height: 1;
}

a {
    color:#000;
    text-underline-offset: 4px;
}

/* ##### Main structure ##### */

html {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    color: #212121;
    background-color: #f5f5f5;
    scroll-behavior: smooth;
    scroll-padding-top: calc(2rem + 62px); /* 62px is the sticky header's height */
    font-size: 16px;
    font-family: 'Raleway', sans-serif;
    line-height: 1.5;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    min-height: 100vh;
    width: 100%;
    margin: 0 auto;
    background-color: #fff;
}

main {
    flex-grow: 1;
}

section > h2 {
    margin: 1rem 0;
    font-weight: normal;
}

form hr {
    margin-top: 1rem;
    border-color: white;
}

/* ##### General styles ##### */
.maintenance-mode {
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    padding: 4px 10px;
    border-radius: 0 0 5px 5px;
    color: #fff;
    background-color: #f44336;
    font-size: 0.9rem;
    box-shadow: #9e9e9e 0 0 8px;
    z-index: 999;
}

em {
    color: #2196f3;
}

ul {
    list-style: none;
}

.no-scroll {
    overflow: hidden!important;
}

.container {
    margin: 20px auto;
}

.form {
    margin: 20px;
    padding: 20px;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: #000 0 0 10px;
}

.form h2 {
    margin-bottom: 1rem;
}

.form-operations {
    display: flex;
    justify-content: flex-start;
    gap: 10px;
    margin-top: 20px;
}

.required::after {
    content: '*';
    margin-inline-start: 4px;
    color: #f44336;
}

.required-mark {
    color: #f44336;
}

.center {
    text-align: center;
}

.center-center {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.no-wrap {
    white-space: nowrap;
}

.uppercase {
    text-transform: uppercase;
}

button,
.btn {
    padding: 10px;
    border-radius: 5px;
    border: 1px outset;
    font-size: 1rem;
    text-decoration: none;
    cursor: pointer;
    background-color: #eeeeee;
}

button.btn-narrow,
.btn.btn-narrow {
    padding: 0 5px;
}

button.icon,
.btn.icon {
    width: 2.5rem;
}

button.with-icon,
.btn.with-icon {
    padding-left: 30px;
    background: no-repeat center left 10px;
    background-size: 14px;
}

button:hover,
.btn:hover {
    opacity: .9;
}

button:active,
.btn:active {
    opacity: 1;
    filter: contrast(1.5);
}

.btn.btn-red {
    color: #fff;
    background-color: #C00000;
}

.btn.btn-orange {
    color: #fff;
    background-color: #F74906;
}

.btn.btn-green {
    color: #fff;
    background-color: #009500;
}

.btn.btn-yellow {
    color: #212121;
    border-color: #fff;
    background-color: #eec60a;
}

.btn.btn-blue {
    color: #fff;
    background-color: #005792;
}

.btn.btn-gray {
    color: #fff;
    background-color: #8f9299;
}

.btn.btn-asphalt {
    color: #fff;
    background-color: #2a333c;
}

.btn.btn-black {
    color: #fff;
    background-color: #212121;
}

.hidden {
    display: none !important;
}

.hint {
    margin-top: 2px;
    color: #757575;
    font-size: smaller;
    font-style: italic;
}

.validity {
    color: #f44336;
    font-size: smaller;
    font-style: italic;
}

.flash-message {
    padding: 10px;
    border-radius: 5px;
    text-align: center;
    color: #fff;
    background-color: #bdbdbd;
}

.flash-message.info {
    background-color: #2196f3;
}

.flash-message.success {
    background-color: #4caf50;
}

.flash-message.danger {
    background-color: #f44336;
}

.bidi {
    /* unicode-bidi: bidi-override; */
    display: inline-flex;
    align-items: baseline;
    gap: 2px;
}

.date-time {
    display: inline-block; /* necessary to correctly display in an date-time inline element*/
    direction: ltr;
    text-align: start;
}

[dir = 'rtl'] .date-time {
    direction: ltr;
    text-align: end;
}

.off-screen {
    position: absolute;
    left: -999999px;
}

.control-set {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    gap: 10px;
}

.control-group {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    flex-basis: 45%;
    position: relative;
    margin-bottom: 10px;
}

.control-group.full-width {
    flex-basis: 100%;
}

.control-group label {
    display: inline-block;
    margin-bottom: 5px;
}

.control-component {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    width: 100%;
}

/* Copyright and Desing */
.copyright-design {
    padding: 20px 0;
    color: #666;
    background-color: #1f1f1f;
    text-align: center;
}

.copyright-design a {
    color: #448AFF;
    text-decoration: none;
    unicode-bidi: plaintext;
    transition: color .3s;
}

.copyright-design a:hover,
.copyright-design a:active {
    text-decoration: underline;
}

/* GDPR */
.gdpr-consent {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 1rem;
    color: #fff;
    background-color: rgba(0, 0, 0, .9);
    line-height: 2.3rem;
}

.gdpr-consent .button{
    float: right;
}

[dir = 'rtl'] .gdpr-consent .button{
    float: left;
}

/* List - Customize list.css */
.list.list-selector {
    display: none;
    flex-direction: column;
    gap: 5px;
    position: absolute;
    top: 100%;
    overflow: auto;
    min-width: 100%;
    max-height: 250px;
    border-color: #b0bec5;
    font-size: .9rem;
    white-space: pre;
    z-index: 2;
    box-shadow: #000 2px 2px 5px -2px;
}

.list.list-selector em {
    font-size: smaller;
    color: #424242;
}

.list-opener:focus ~ .list,
.list.list-selector:active {
    display: flex;
}

.list.list-selector.no-items {
    display: none;
}

.list-opener.with-buttons {
    border-radius: 4px 0 0 4px;
}

/* Toast Message */
.toast-message {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    position: fixed;
    bottom: 10px;
    right: 5px;
    width: 90%;
    max-width: 400px;
    padding: 10px;
    margin: auto;
    transform: translateX(calc(100% + 5px));
    border-radius: 6px;
    border: solid 3px #212121;
    line-height: 1.5;
    color: #212121;
    background-color: #fff;
    box-shadow: 2px 4px 10px #212121;
    z-index: 6000;
    transition: transform .3s;
}

[dir = 'rtl'] .toast-message {
    right: auto;
    left: 5px;
    transform: translateX(calc(-100% - 5px));
}

.toast-message.show {
    transform: translateX(0);
}

.toast-message i {
    line-height: 1;
    font-size: 2rem;
}

.toast-message.exception,
.toast-message.reference_error,
.toast-message.error {
    border-color: #ff5722;
}

.toast-message.exception i::before,
.toast-message.reference_error i::before,
.toast-message.error i::before {
    content: "\ea08";
    color: #ff5722;
}

.toast-message.info {
    border-color: #8f9aa0;
}

.toast-message.info i::before {
    content: "\ea0c";
    color: #8f9aa0;
}

.toast-message.warning ,
.toast-message.validation_error {
    border-color: #ffc900;
}

.toast-message.warning i::before,
.toast-message.validation_error i::before {
    content: "\ea07";
    color: #ffc900;
}

.toast-message.success {
    border-color: #93c34b;
}

.toast-message.success i::before {
    content: "\ea10";
    color: #93c34b;
}

.toast-message .message-body {
    flex-grow: 1;
    width: 1%;
    margin: 0 5px;
}

.toast-message .close {
    display: inline-block;
    width: 24px;
    height: 24px;
    top: 5px;
    right: 5px;
    border-radius: 50%;
    line-height: 24px;
    color: #fff;
    background-color: #212121;
    text-align: center;
    vertical-align: middle;
    font-size: 12px;
    cursor: pointer;
}

[dir = 'rtl'] .toast-message .close {
    right: auto;
    left: 5px;
}

/* Data Editor / Info Card */
.data-editor,
.info-card {
    display: none;
    position: fixed;
    overflow: auto;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    background-color: rgba(0, 0, 0, .7);
    font-size: .9rem;
    z-index: 1000;
}

.data-editor .form,
.info-card .form {
    position: relative;
    margin: 20px auto;
    max-width: 720px;
    width: 95%;
}

.data-editor.show,
.info-card.show {
    display: block;
}

.data-editor.search .control-group:not([searchable]) {
    display: none;
}

*[search-only] {
    display: none;
}

.data-editor.search *[search-only] {
    display: inherit;
}

/* Information Card */
.info-card {
    color: #212121;
}

.info-card.block {
    display: block;
    position: static;
    top: auto;
}

.info-card h2 {
    position: relative;
    font-size: 1.1rem;
    text-align: start;
}

.info-card.block h2 {
    display: block;
}

.info-card .close {
    display: inline-block;
    position: absolute;
    height: 30px;
    width: 30px;
    padding: 4px;
    top: -10px;
    right: -10px;
    border: none;
    border-radius: 50%;
    line-height: 1;
    font-family: auto;
    font-size: 20px;
    text-align: center;
    color: #fff;
    background-color: #212121;
    cursor: pointer;
}

[dir = 'rtl'] .info-card .close {
    right: auto;
    left: -10px;
}

.info-card table {
    position: relative;
    table-layout: fixed;
    width: auto;
    border-spacing: 0;
}

.info-card th, .info-card td {
    display: table-cell;
    position: relative;
    padding: 5px;
    border-bottom: dashed 1px #607d8b;
    vertical-align: top;
    text-align: start;
}

.info-card th {
    width: 1%;
    padding-right: 10px;
    color: #607d8b;
    text-transform: uppercase;
    white-space: nowrap;
}

.info-card .info-data {
    white-space: pre-wrap;
}

.info-card td.flex {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    gap: 5px;
    flex-wrap: wrap;
}

/* Data Grid */
.data-grid-wrapper {
    width: 100%;
    overflow-x: auto;
}

.data-grid {
    table-layout: fixed;
    border-collapse: collapse;
    border-bottom: solid 1px #212121;
    text-align: left;
    font-size: 0.9rem;
}

[dir = 'rtl'] .data-grid {
    text-align: right;
}

.data-grid th {
    font-weight: normal;
    padding: 5px;
    border-bottom: solid 2px #212121;
    color: #212121;
    white-space: nowrap;
    text-transform: uppercase;
}

.data-grid td {
    /* Fit content by default */
    width: 1%;
    padding: 10px 10px;
    white-space: nowrap;
}

.data-grid tbody {
    color: #212121;
}

.data-grid tbody tr:nth-child(even) {
    background-color: #EEE;
}

.data-grid tbody tr:hover{
    background-color: #cfd8dc;
}

.data-grid tbody tr.selected{
    background-color: #eec60a;
}

.data-grid tfoot td {
    padding: 5px 10px;
    color: #fff;
    background-color: #424242;
}

/* ########## Data grid custom field css ########## */
.data-grid td.ltr {
    direction: ltr;
}

.data-grid td.auto-width {
    width: auto;
}

.data-grid th.center ,
.data-grid td.center {
    text-align: center;
}

.data-grid td.pre-wrap {
    min-width: 350px;
    white-space: pre-line;
}

.data-grid td.check-col {
    padding: 0;
}

.data-grid td.check-col label {
    padding: 5px;
    cursor: pointer;
}

.data-grid td.check-col label input[type="checkbox"] {
    cursor: pointer;
}

/* Toolbar */
.toolbar {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 5px;
    position: sticky;
    margin: 1rem 0;
    padding: 10px;
    top: calc(2rem + 36px);
    background-color: #fafafa;
    z-index: 1;
}

.toolbar-group {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 5px;
}

.toolbar-group.pointer > * {
    cursor: pointer;
}

.toolbar-group.pagening {
    position: relative;
    margin-left: auto;
}

.toolbar-group.pagening .current-page {
    position: absolute;
    width: 100%;
    top: -1.2rem;
    left: 0;
    text-align: center;
    font-size: 0.7rem;
}

.toolbar-group.pagening > .btn + .btn {
    margin-left: auto;
}

[dir = 'rtl'] .toolbar-group.pagening {
    margin-left: initial;
    margin-right: auto;
}

[dir = 'rtl'] .toolbar-group.pagening #btnPrevious i::before{
    content: "\f054";
}

[dir = 'rtl'] .toolbar-group.pagening #btnNext i::before{
    content: "\f053";
}

.toolbar .page-number {
    width: 3rem;
    text-align: center;
}

/* Image Box */
.image-container {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    gap: 10px;
    flex-wrap: wrap;
    margin: 20px 0;
    width: 100%;
    overflow: hidden;
}

.image-box {
    flex-basis: 45%;
    position: relative;
}

.image-box.expand {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0, 0, 0, .9);
    z-index: 10;
}

.image-box img {
    position: relative;
    width: 100%;
    height: 150px;
    object-fit: contain;
    vertical-align: middle;
    background-color: #e0e0e0;
}

.image-box.expand img {
    padding: 20px;
    height: 100%;
    background-color: transparent;
}

.image-box .image-expand ,
.image-box .image-favorite ,
.image-box .image-delete {
    position: absolute;
    padding: 5px;
    border: none;
    border-radius: 0;
    color: #fff;
    font-size: 1.5rem;
}

.image-box .image-expand {
    bottom: 0;
    left: 0;
    background-color: #2196f3;
}

.image-box .image-favorite {
    top: 0;
    left: 0;
    color: #ffc107;
    background-color: #fff59d;
}

.image-box .image-delete {
    top: 0;
    right: 0;
    background-color: #f44336;
}

.image-box.expand .image-delete {
    display: none;
}

.image-box.expand .image-expand i::before {
    content: '\f066';
}

.image-box input[type="file"] {
    position: absolute;
    visibility: hidden;
}

/* Website Design */
.top-bar {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    padding: 5px 1rem;
    background-color: #333;
}

.top-bar a {
    color: #fff;
    text-decoration: none;
    transition: color .3s;
}

.top-bar a:hover {
    color: #448AFF;
}

.top-bar .contacts ,
.top-bar .social {
    display: flex;
    gap: 1rem;
}

.top-bar .contacts i {
    padding-inline-end: 5px;
}

.main-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    padding: 8px 10px;
    color: #333;
    background-color: #fff;
    user-select: none;
    box-shadow: 0 0 5px;
    z-index: 3;
}

.main-header .logo {
    display: flex;
    align-items: center;
    padding: 0;
    color: inherit;
    text-decoration: none;
    outline: none;
}

.main-header .logo img {
    height: 50px;
}

.logo span {
    margin-left: 5px;
    font-size: 1.8rem;
    font-weight: 400;
}

[dir = 'rtl'] .logo span {
    margin-left: auto;
    margin-right: 5px;
}

.main-nav {
    flex-grow: 1;
}

[dir = 'rtl'] .main-nav span {
    margin-left: auto;
    margin-right: 8px;
}

.main-nav .menu {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.menu > li {
    position: relative;
}

.main-nav .toggle-menu {
    display: none;
    padding: 10px 14px;
    border-radius: 20px 0;
    color: #fff;
    background-color: #333333;
    font-size: 1.5rem;
    text-align: right;
}

.main-nav .toggle-menu-close {
    display: none;
}

.main-nav .toggle-menu-close {
    display: none;
    padding: 10px 14px;
    border-radius: 20px 0;
    font-size: 1.5rem;
    text-align: right;
    line-height: 1;
    margin-top: -2.7rem;
    position: relative;
}

.main-nav .menu .sub-menu {
    display: none;
    flex-direction: column;
    align-items: stretch;
    position: absolute;
    top: calc(100% + 12px);
    right: 0;
    padding: 10px 5px;
    border-radius: 0 0 5px 5px;
    background-color: rgba(255, 255, 255, .9);
    box-shadow: #000 0px 5px 6px -2px;
}

[dir = 'rtl'] .main-nav .menu .sub-menu {
    right: auto;
    left: 0;
}

[dir = 'rtl'] .main-nav .menu .sub-menu li + li {
    margin-right: 0;
}

.main-nav a {
    padding:10px 15px;
    border-radius: 4px;
    color: inherit;
    font-weight: 400;
    text-decoration: none;
    line-height: 40px; /* Same as the image height to vertically align the text while keeping sub menues at the bottom */
    white-space: nowrap;
    cursor: pointer;
    transition: color .3s, background-color .3s, box-shadow .3s, border-radius .6s;
}

.main-nav .menu .sub-menu li + li {
    margin-left: 0;
}

.main-nav .menu .sub-menu a {
    padding: 10px;
    line-height: initial;
    color: inherit;
}

.main-nav a:active,
.main-nav a:hover,
.main-nav a.selected {
    border-radius: 20px 0px 20px 0px;
    color: #fff;
    background-color: #448AFF;
    box-shadow: #0000008c 0 5px 15px;
}

.main-nav a.selected {
    box-shadow: none;
}

.main-nav .menu li:focus-within .sub-menu {
    display: flex;
}

.main-nav .menu li .sub-menu:focus-within {
    display: flex;
}

.main-footer {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 20px;
    padding: 40px;
    color: #999;
    background-color: #333;
}

.main-footer a {
    color: inherit;
    text-decoration: none;
}

.main-footer h3 {
    font-size: 1.5rem;
    font-weight: normal;
    color: #fff;
}

.main-footer ul {
    margin-top: 1rem;
}

.main-footer li {
    padding: 10px 0;
    border-bottom: dashed 1px #424242;
}

.main-footer li:last-child {
    border-bottom: none;
}

.main-footer > * {
    max-width: 33%;
}

.main-footer .logo {
    height: 150px;
}

.main-footer .pages {
    flex-grow: 1;
    justify-self: center;
}

.main-footer a {
    display: block;
    transition: padding-left .3s, color .3s;
}

.main-footer a:hover {
    color: #448AFF;
}

.main-footer .pages a:hover {
    padding-left: 15px;
    color: #448AFF;
}

.main-footer .social li {
    border: none;
}

.main-footer .social a {
    line-height: 1.5rem;
}

.main-footer .social i {
    padding-inline-end: 10px;
    font-size: 1.5rem;
    vertical-align: middle;
}

/* Page not found + access denied */
.page-not-found-view .page-not-found ,
.access-denied-view .access-denied {
    margin-top: 2rem;
    text-align: center;
}

.page-not-found-view .page-not-found h1 ,
.access-denied-view .access-denied h1 {
    display: inline-block;
    padding: 5px 10px;
    border-radius: 5px;
    color: #fff;
    background-color: #f44336;
    font-weight: normal;
}

.page-not-found-view .page-not-found p ,
.access-denied-view .access-denied p {
    margin-top: 0.5rem;
    font-size: 1.3rem;
}

/* About us view */
.about-view h2 {
    margin: 1rem 0;
    font-weight: normal;
}

.about-view .about p {
    margin: 1rem 0;
}

/* Privacy policy */
.privacy-policy-view .privacy-policy ul {
    padding: 0 2rem;
    list-style-type: square;
}

.privacy-policy-view .privacy-policy ul h3 {
    display: inline-block;
    margin-bottom: 10px;
    border-bottom: 1px solid;
    font-weight: normal;
}

.privacy-policy-view .privacy-policy ul li {
    margin-bottom: 3rem;

}

.privacy-policy-view .privacy-policy ul ul {
    margin-top: 1rem;
    list-style-type: disc;
}

.privacy-policy-view .privacy-policy ul ul ul {
    list-style-type: circle;
}

.privacy-policy-view .privacy-policy li li {
    margin-bottom: .6rem;
}

.privacy-policy-view .privacy-policy ul p {
    line-height: 1.8;
}

/* Terms of service */
.terms-of-service-view .terms-of-service h3 {
    display: inline-block;
    margin: 20px 0 10px 0;
    border-bottom: 1px solid;
    font-weight: normal;
}

.terms-of-service-view .terms-of-service ul {
    padding: 0 2rem;
    list-style-type: square;
}

.terms-of-service-view .terms-of-service ul li {
    margin-bottom: 1rem;

}

/* Thank you view */
.thank-you-view .thank-you h2 {
    text-align: center;
}

.thank-you-view .thank-you .sub-section {
    padding: 0 10px;
    text-align: center;
}

.thank-you-view .thank-you ul {
    padding-left: 1rem;
    list-style: square;
    list-style-position: inside;
}

[dir = 'rtl'] .thank-you-view .thank-you ul {
    padding-left: 0;
    padding-right: 1rem;
}

.thank-you-view .thank-you li {
    margin-top: .5rem;
}

.thank-you-view .thank-you .important {
    margin-top: 1rem;
    color: #f44336;
}

/* Unsubscrive view */
.unsubscribe-view .unsubscribe-form {
    margin: 20px auto;
    padding: 0 10px;
    width: max-content;
    max-width: 100%;
}

.unsubscribe-view .unsubscribe-form .description {
    font-size: larger;
    margin-bottom: 1rem;
}

/* ##### Media Queries ##### */

@media (min-width: 1440px){
    body {
        box-shadow: #002329 0 0 40px;
    }
}

@media (max-width: 768px){
    .main-header .logo span {
        display: none;
    }

    .copyright-design {
        display: flex;
        flex-direction: column;
        font-size: 0.9rem;
    }

    .copyright-design > * {
        margin-bottom: 10px;
    }

    .copyright-design .comma {
        display: none;
    }
}

@media (max-width: 545px){
    .main-nav {
        flex-grow: 0;
    }

    .main-nav .toggle-menu {
        display: block;
    }

    .main-nav:focus-within .toggle-menu-close {
        display: block;
    }

    .main-nav .menu {
        display: none;
        position: absolute;
        flex-direction: column;
        align-items: stretch;
        right: 0;
        top: 100%;
        padding: 10px;
        border-radius: 0 0 10px 10px;
        background-color: #fff;
        box-shadow: #000 0 5px 15px;
        z-index: 1;
    }

    .main-nav:focus-within .toggle-menu {
        background-color: #448AFF;
    }

    .main-nav:focus-within .menu {
        display: flex;
        width: 100%;
    }

    .main-nav .menu a {
        display: block;
        padding: 0 20px;
    }
}

@media (max-width: 470px){
    .top-bar bdo {
        display: none;
    }

    .main-footer > * {
        max-width: none;
    }
    
    .main-footer .company {
        width: 100%;
        max-width: none;
        text-align: center;
    }
}

@media (max-width: 425px){
    .control-set {
        flex-direction: column;
        align-items: stretch;
    }

    .toast-message ,
    [dir = 'rtl'] .toast-message {
        max-width: 95%;
        right: auto;
        left: 50%;
        bottom: 10px;
        transform: translate(-50%, calc(100% + 10px));
    }

    .toast-message.show {
        transform: translate(-50%, 0%);
    }

    .info-card table {
        width: 100%;
    }

    .info-card tr {
        display: flex;
        flex-direction: column;
        gap: 3px;
    }

    .info-card th {
        width: auto;
        padding: 0 5px;
        border: none;
        white-space: break-spaces;
    }

    .info-card td {
        position: static;
        padding: 0 5px 10px 5px;
    }

    .info-card .account-image-container {
        max-width: 120px;
    }
}

@media (max-width: 360px){
    section > h2,
    form > h2 {
        font-size: 1.4rem;
    }

    .copyright-design .design a {
        display: block;
    }
}